package com.mdd.admin.vo.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;

@ApiModel("管理员详情Vo")
public class SystemAuthAdminDetailVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("主键")
   private Integer id;
   @ApiModelProperty("角色ID")
   private Integer roleIds;
   @ApiModelProperty("部门ID")
   private List<Integer> deptIds;
   @ApiModelProperty("岗位ID")
   private List<Integer> postIds;
   @ApiModelProperty("账号")
   private String username;
   @ApiModelProperty("昵称")
   private String nickname;
   @ApiModelProperty("头像")
   private String avatar;
   @ApiModelProperty("权限标识")
   private String perms;
   @ApiModelProperty("指标数量")
   private Integer goal;
   @ApiModelProperty("轮询优先级")
   private Integer loopLevel;
   @ApiModelProperty("派发总数")
   private Integer count;
   @ApiModelProperty("卡片计数")
   private Integer cardNum;
   @ApiModelProperty("唯一卡计数")
   private Integer cardOnly;
   @ApiModelProperty("多端登录: [0=否, 1=是]")
   private Integer isMultipoint;
   @ApiModelProperty("是否禁用: [0=否, 1=是]")
   private Integer isDisable;
   @ApiModelProperty("最后登录IP")
   private String lastLoginIp;
   @ApiModelProperty("最后登录时间")
   private String lastLoginTime;
   @ApiModelProperty("创建时间")
   private String createTime;
   @ApiModelProperty("更新时间")
   private String updateTime;

   public Integer getId() {
      return this.id;
   }

   public Integer getRoleIds() {
      return this.roleIds;
   }

   public List<Integer> getDeptIds() {
      return this.deptIds;
   }

   public List<Integer> getPostIds() {
      return this.postIds;
   }

   public String getUsername() {
      return this.username;
   }

   public String getNickname() {
      return this.nickname;
   }

   public String getAvatar() {
      return this.avatar;
   }

   public String getPerms() {
      return this.perms;
   }

   public Integer getGoal() {
      return this.goal;
   }

   public Integer getLoopLevel() {
      return this.loopLevel;
   }

   public Integer getCount() {
      return this.count;
   }

   public Integer getCardNum() {
      return this.cardNum;
   }

   public Integer getCardOnly() {
      return this.cardOnly;
   }

   public Integer getIsMultipoint() {
      return this.isMultipoint;
   }

   public Integer getIsDisable() {
      return this.isDisable;
   }

   public String getLastLoginIp() {
      return this.lastLoginIp;
   }

   public String getLastLoginTime() {
      return this.lastLoginTime;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public String getUpdateTime() {
      return this.updateTime;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setRoleIds(Integer roleIds) {
      this.roleIds = roleIds;
   }

   public void setDeptIds(List<Integer> deptIds) {
      this.deptIds = deptIds;
   }

   public void setPostIds(List<Integer> postIds) {
      this.postIds = postIds;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public void setNickname(String nickname) {
      this.nickname = nickname;
   }

   public void setAvatar(String avatar) {
      this.avatar = avatar;
   }

   public void setPerms(String perms) {
      this.perms = perms;
   }

   public void setGoal(Integer goal) {
      this.goal = goal;
   }

   public void setLoopLevel(Integer loopLevel) {
      this.loopLevel = loopLevel;
   }

   public void setCount(Integer count) {
      this.count = count;
   }

   public void setCardNum(Integer cardNum) {
      this.cardNum = cardNum;
   }

   public void setCardOnly(Integer cardOnly) {
      this.cardOnly = cardOnly;
   }

   public void setIsMultipoint(Integer isMultipoint) {
      this.isMultipoint = isMultipoint;
   }

   public void setIsDisable(Integer isDisable) {
      this.isDisable = isDisable;
   }

   public void setLastLoginIp(String lastLoginIp) {
      this.lastLoginIp = lastLoginIp;
   }

   public void setLastLoginTime(String lastLoginTime) {
      this.lastLoginTime = lastLoginTime;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public void setUpdateTime(String updateTime) {
      this.updateTime = updateTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SystemAuthAdminDetailVo)) {
         return false;
      } else {
         SystemAuthAdminDetailVo other = (SystemAuthAdminDetailVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label239: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label239;
                  }
               } else if (this$id.equals(other$id)) {
                  break label239;
               }

               return false;
            }

            Object this$roleIds = this.getRoleIds();
            Object other$roleIds = other.getRoleIds();
            if (this$roleIds == null) {
               if (other$roleIds != null) {
                  return false;
               }
            } else if (!this$roleIds.equals(other$roleIds)) {
               return false;
            }

            Object this$goal = this.getGoal();
            Object other$goal = other.getGoal();
            if (this$goal == null) {
               if (other$goal != null) {
                  return false;
               }
            } else if (!this$goal.equals(other$goal)) {
               return false;
            }

            label218: {
               Object this$loopLevel = this.getLoopLevel();
               Object other$loopLevel = other.getLoopLevel();
               if (this$loopLevel == null) {
                  if (other$loopLevel == null) {
                     break label218;
                  }
               } else if (this$loopLevel.equals(other$loopLevel)) {
                  break label218;
               }

               return false;
            }

            label211: {
               Object this$count = this.getCount();
               Object other$count = other.getCount();
               if (this$count == null) {
                  if (other$count == null) {
                     break label211;
                  }
               } else if (this$count.equals(other$count)) {
                  break label211;
               }

               return false;
            }

            Object this$cardNum = this.getCardNum();
            Object other$cardNum = other.getCardNum();
            if (this$cardNum == null) {
               if (other$cardNum != null) {
                  return false;
               }
            } else if (!this$cardNum.equals(other$cardNum)) {
               return false;
            }

            Object this$cardOnly = this.getCardOnly();
            Object other$cardOnly = other.getCardOnly();
            if (this$cardOnly == null) {
               if (other$cardOnly != null) {
                  return false;
               }
            } else if (!this$cardOnly.equals(other$cardOnly)) {
               return false;
            }

            label190: {
               Object this$isMultipoint = this.getIsMultipoint();
               Object other$isMultipoint = other.getIsMultipoint();
               if (this$isMultipoint == null) {
                  if (other$isMultipoint == null) {
                     break label190;
                  }
               } else if (this$isMultipoint.equals(other$isMultipoint)) {
                  break label190;
               }

               return false;
            }

            label183: {
               Object this$isDisable = this.getIsDisable();
               Object other$isDisable = other.getIsDisable();
               if (this$isDisable == null) {
                  if (other$isDisable == null) {
                     break label183;
                  }
               } else if (this$isDisable.equals(other$isDisable)) {
                  break label183;
               }

               return false;
            }

            Object this$deptIds = this.getDeptIds();
            Object other$deptIds = other.getDeptIds();
            if (this$deptIds == null) {
               if (other$deptIds != null) {
                  return false;
               }
            } else if (!this$deptIds.equals(other$deptIds)) {
               return false;
            }

            label169: {
               Object this$postIds = this.getPostIds();
               Object other$postIds = other.getPostIds();
               if (this$postIds == null) {
                  if (other$postIds == null) {
                     break label169;
                  }
               } else if (this$postIds.equals(other$postIds)) {
                  break label169;
               }

               return false;
            }

            Object this$username = this.getUsername();
            Object other$username = other.getUsername();
            if (this$username == null) {
               if (other$username != null) {
                  return false;
               }
            } else if (!this$username.equals(other$username)) {
               return false;
            }

            label155: {
               Object this$nickname = this.getNickname();
               Object other$nickname = other.getNickname();
               if (this$nickname == null) {
                  if (other$nickname == null) {
                     break label155;
                  }
               } else if (this$nickname.equals(other$nickname)) {
                  break label155;
               }

               return false;
            }

            Object this$avatar = this.getAvatar();
            Object other$avatar = other.getAvatar();
            if (this$avatar == null) {
               if (other$avatar != null) {
                  return false;
               }
            } else if (!this$avatar.equals(other$avatar)) {
               return false;
            }

            Object this$perms = this.getPerms();
            Object other$perms = other.getPerms();
            if (this$perms == null) {
               if (other$perms != null) {
                  return false;
               }
            } else if (!this$perms.equals(other$perms)) {
               return false;
            }

            label134: {
               Object this$lastLoginIp = this.getLastLoginIp();
               Object other$lastLoginIp = other.getLastLoginIp();
               if (this$lastLoginIp == null) {
                  if (other$lastLoginIp == null) {
                     break label134;
                  }
               } else if (this$lastLoginIp.equals(other$lastLoginIp)) {
                  break label134;
               }

               return false;
            }

            label127: {
               Object this$lastLoginTime = this.getLastLoginTime();
               Object other$lastLoginTime = other.getLastLoginTime();
               if (this$lastLoginTime == null) {
                  if (other$lastLoginTime == null) {
                     break label127;
                  }
               } else if (this$lastLoginTime.equals(other$lastLoginTime)) {
                  break label127;
               }

               return false;
            }

            Object this$createTime = this.getCreateTime();
            Object other$createTime = other.getCreateTime();
            if (this$createTime == null) {
               if (other$createTime != null) {
                  return false;
               }
            } else if (!this$createTime.equals(other$createTime)) {
               return false;
            }

            Object this$updateTime = this.getUpdateTime();
            Object other$updateTime = other.getUpdateTime();
            if (this$updateTime == null) {
               if (other$updateTime != null) {
                  return false;
               }
            } else if (!this$updateTime.equals(other$updateTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SystemAuthAdminDetailVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $roleIds = this.getRoleIds();
      result = result * 59 + ($roleIds == null ? 43 : $roleIds.hashCode());
      Object $goal = this.getGoal();
      result = result * 59 + ($goal == null ? 43 : $goal.hashCode());
      Object $loopLevel = this.getLoopLevel();
      result = result * 59 + ($loopLevel == null ? 43 : $loopLevel.hashCode());
      Object $count = this.getCount();
      result = result * 59 + ($count == null ? 43 : $count.hashCode());
      Object $cardNum = this.getCardNum();
      result = result * 59 + ($cardNum == null ? 43 : $cardNum.hashCode());
      Object $cardOnly = this.getCardOnly();
      result = result * 59 + ($cardOnly == null ? 43 : $cardOnly.hashCode());
      Object $isMultipoint = this.getIsMultipoint();
      result = result * 59 + ($isMultipoint == null ? 43 : $isMultipoint.hashCode());
      Object $isDisable = this.getIsDisable();
      result = result * 59 + ($isDisable == null ? 43 : $isDisable.hashCode());
      Object $deptIds = this.getDeptIds();
      result = result * 59 + ($deptIds == null ? 43 : $deptIds.hashCode());
      Object $postIds = this.getPostIds();
      result = result * 59 + ($postIds == null ? 43 : $postIds.hashCode());
      Object $username = this.getUsername();
      result = result * 59 + ($username == null ? 43 : $username.hashCode());
      Object $nickname = this.getNickname();
      result = result * 59 + ($nickname == null ? 43 : $nickname.hashCode());
      Object $avatar = this.getAvatar();
      result = result * 59 + ($avatar == null ? 43 : $avatar.hashCode());
      Object $perms = this.getPerms();
      result = result * 59 + ($perms == null ? 43 : $perms.hashCode());
      Object $lastLoginIp = this.getLastLoginIp();
      result = result * 59 + ($lastLoginIp == null ? 43 : $lastLoginIp.hashCode());
      Object $lastLoginTime = this.getLastLoginTime();
      result = result * 59 + ($lastLoginTime == null ? 43 : $lastLoginTime.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      Object $updateTime = this.getUpdateTime();
      result = result * 59 + ($updateTime == null ? 43 : $updateTime.hashCode());
      return result;
   }

   public String toString() {
      return "SystemAuthAdminDetailVo(id=" + this.getId() + ", roleIds=" + this.getRoleIds() + ", deptIds=" + this.getDeptIds() + ", postIds=" + this.getPostIds() + ", username=" + this.getUsername() + ", nickname=" + this.getNickname() + ", avatar=" + this.getAvatar() + ", perms=" + this.getPerms() + ", goal=" + this.getGoal() + ", loopLevel=" + this.getLoopLevel() + ", count=" + this.getCount() + ", cardNum=" + this.getCardNum() + ", cardOnly=" + this.getCardOnly() + ", isMultipoint=" + this.getIsMultipoint() + ", isDisable=" + this.getIsDisable() + ", lastLoginIp=" + this.getLastLoginIp() + ", lastLoginTime=" + this.getLastLoginTime() + ", createTime=" + this.getCreateTime() + ", updateTime=" + this.getUpdateTime() + ")";
   }
}
